.playground {
  &--title {
    text-align: center;
  }
  &--wheel-of-fortune {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 20px;
    &--marker {
      position: absolute;
      width: 0;
      height: 0;
      border-left: 10px solid transparent;
      border-right: 10px solid transparent;
      border-top: 20px solid black;
      top: -10px;
      z-index: 10;
      &:before {
        content: "";
        width: 0;
        height: 0;
        position: absolute;
        border-top: solid 16px red;
        border-left: solid 8px transparent;
        border-right: solid 8px transparent;
        top: -19px;
        left: -8px;
      }
    }
    &--wheel {}
    &--spin-button {
      margin-top: 10px;
    }
    &--winner {
      margin-top: 10px;
    }
  }
  &--settings {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 10px;
    margin-top: 20px;
    margin-bottom: 10px;
    &--options {
      padding: 5px 10px;
      border: 1px solid;
      h2 {
        margin-bottom: 0px;
      }
      &--input {
        display: flex;
        flex-direction: row;
        align-items: center;
        button {
          cursor: pointer;
        }
        &-icon {
          max-width: 25px;
          max-height: 25px;
        }
      }
    }
  }
}
